package com.scpyun.platform.jilinsscgsdp.bean.vo.task;


import com.scpyun.platform.jilinsscgsdp.annotation.IdCard;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Update;

import javax.validation.constraints.NotEmpty;

public class ReqKeyPersonHighlyConcernedRelVo extends ReqBaseVo{

    private String id;
    @NotEmpty(message = "重点人员id不可为空", groups = {Insert.class, Update.class})
    private String keyPersonId;
    @NotEmpty(message = "证件号不可为空", groups = {Insert.class, Update.class})
    @IdCard
    private String cardNo;
    private String highlyConcernedSituation;
    private String createDate;
    private String updateDate;
    private String createUser;
    private String updateUser;
    @NotEmpty(message = "appid不可为空", groups = {Insert.class, Update.class})
    private String appid;
    /**
     * 添加状态
     */
    private String type;
    /**
     * 操作状态 1成功 2失败
     */
    private String operateType;
    private String dockingId;

    private Integer intId;

    public Integer getIntId() {
        return intId;
    }

    public void setIntId(Integer intId) {
        this.intId = intId;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getOperateType() {
        return operateType;
    }

    public void setOperateType(String operateType) {
        this.operateType = operateType;
    }

    public String getDockingId() {
        return dockingId;
    }

    public void setDockingId(String dockingId) {
        this.dockingId = dockingId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }


    public String getKeyPersonId() {
        return keyPersonId;
    }

    public void setKeyPersonId(String keyPersonId) {
        this.keyPersonId = keyPersonId;
    }


    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }


    public String getHighlyConcernedSituation() {
        return highlyConcernedSituation;
    }

    public void setHighlyConcernedSituation(String highlyConcernedSituation) {
        this.highlyConcernedSituation = highlyConcernedSituation;
    }


    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }


    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }


    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }


    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

}
